import { system,world, Player, EntityHealthComponent } from "@minecraft/server";

const overworld = world.getDimension("overworld"),
  nether = world.getDimension("nether"),
  end = world.getDimension("the end");

overworld
  .runCommandAsync("scoreboard objectives add deaths dummy")
  .catch((error) => console.warn(error));
overworld
  .runCommandAsync("scoreboard objectives add kills dummy")
  .catch((error) => console.warn(error));
world.events.entityHurt.subscribe(
  ({ damagingEntity }) => {
    /** @type {EntityHealthComponent} */
    // @ts-ignore
    if (!(damagingEntity instanceof Player)) return;
    damagingEntity.runCommandAsync("tag @s add set_0");
      damagingEntity.runCommandAsync("scoreboard players set set_0 0");
      damagingEntity.runCommandAsync("execute @s[tag=sweeping_edge] ~~~ function sweep");
      
      damagingEntity.runCommandAsync("execute @p[tag=!sweeping_edge] ~~-0.5~ detect ~~~ air 0 playsound critical_hit @s")
  },
 
);

system.runSchedule( () => {
  [...world.getPlayers()].forEach( v => {
  const inventory = v.getComponent('minecraft:inventory').container;
  const item = inventory.getItem(v.selectedSlot)  
  
  if(item.typeId.includes('hoe')) {
    v.runCommandAsync(`scoreboard players set @s azada_test 0`)
   
};

if(item.typeId.includes('azada')) {
  v.runCommandAsync(`scoreboard players set @s azada_test 0`)
 
};
  
  
  if(item.typeId.includes('axe')) {
      v.runCommandAsync(`scoreboard players set @s hacha_test 0`)
  };
  if(item.typeId.includes('hacha')) {
      v.runCommandAsync(`scoreboard players set @s hacha_test 0`)
  };
  if(item.typeId.includes('sword')) {
      v.runCommandAsync(`scoreboard players set @s espada_test 0`)
  };
  if(item.typeId.includes('katana')) {
    v.runCommandAsync(`scoreboard players set @s espada_test 0`)
};
  if(item.typeId.includes('dagger')) {
      v.runCommandAsync(`scoreboard players set @s espada_test 0`)
  };
  if(item.typeId.includes('espada')) {
    v.runCommandAsync(`scoreboard players set @s espada_test 0`)
};
  if(item.typeId.includes('karambit')) {
    v.runCommandAsync(`scoreboard players set @s espada_test 0`)
};

  if(item.typeId.includes('pickaxe')) {
    v.runCommandAsync(`scoreboard players set @s pico_test 0`)
};

if(item.typeId.includes('pico')) {
  v.runCommandAsync(`scoreboard players set @s pico_test 0`)
};

if(item.typeId.includes('pala')) {
  v.runCommandAsync(`scoreboard players set @s pala_test 0`)
};

if(item.typeId.includes('shovel')) {
  v.runCommandAsync(`scoreboard players set @s pala_test 0`)
};

if(item.typeId.includes('battle')) {
  v.runCommandAsync(`scoreboard players set @s hacha_test 0`)
};
if(item.typeId.includes('mace')) {
  v.runCommandAsync(`scoreboard players set @s hacha_test 0`)
};
if(item.typeId.includes('hammer')) {
  v.runCommandAsync(`scoreboard players set @s hacha_test 0`)
};

} )
}, 4)




